Support Questions
Find answers, ask questions, and share your expertise

Installing HDF management pack, does version need to be same as HDP version

Expert Contributor

Looking at the docs for installing NiFi on HDP 3.1 via management pack and looking at list of repository locations here for HDF 3.4. Was wondering if the HDF management pack version needs to be the same as the HDP version for correct installation (else how to tell if the version are compatible with each other)?

1 ACCEPTED SOLUTION

Super Mentor

@rvillanueva 

HDF and HDP versions can be different in a cluster. They need not to  be exactly same.

For example please refer to the https://supportmatrix.hortonworks.com/
Click on "HDP 3.1"  (or click on desired HDF version like HDF 3.4.1.1) and then you will find the compatibility matrix with Ambari + HDF versions.

View solution in original post

1 REPLY 1

Super Mentor

@rvillanueva 

HDF and HDP versions can be different in a cluster. They need not to  be exactly same.

For example please refer to the https://supportmatrix.hortonworks.com/
Click on "HDP 3.1"  (or click on desired HDF version like HDF 3.4.1.1) and then you will find the compatibility matrix with Ambari + HDF versions.

; ;